Package weka.core.pmml.jaxbbindings

# Class Time

java.lang.Object
weka.core.pmml.jaxbbindings.Time

public class Time extends Object

Java class for Time element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="Time">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="max" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="mean" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="min" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="standardDeviation" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Time()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `Double`
  `getMax()`
  Gets the value of the max property.
  `Double`
  `getMean()`
  Gets the value of the mean property.
  `Double`
  `getMin()`
  Gets the value of the min property.
  `Double`
  `getStandardDeviation()`
  Gets the value of the standardDeviation property.
  `void`
  `setMax(Double value)`
  Sets the value of the max property.
  `void`
  `setMean(Double value)`
  Sets the value of the mean property.
  `void`
  `setMin(Double value)`
  Sets the value of the min property.
  `void`
  `setStandardDeviation(Double value)`
  Sets the value of the standardDeviation property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Time

    public Time()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getMax

    public Double getMax()
    Gets the value of the max property.
    Returns:
      possible object is `Double`

  - ### setMax

    public void setMax(Double value)
    Sets the value of the max property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getMean

    public Double getMean()
    Gets the value of the mean property.
    Returns:
      possible object is `Double`

  - ### setMean

    public void setMean(Double value)
    Sets the value of the mean property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getMin

    public Double getMin()
    Gets the value of the min property.
    Returns:
      possible object is `Double`

  - ### setMin

    public void setMin(Double value)
    Sets the value of the min property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getStandardDeviation

    public Double getStandardDeviation()
    Gets the value of the standardDeviation property.
    Returns:
      possible object is `Double`

  - ### setStandardDeviation

    public void setStandardDeviation(Double value)
    Sets the value of the standardDeviation property.
    Parameters:
      `value` - allowed object is `Double`